# WhiteBlackPointFilter class

Maps image value channel so that all the pixels darker than the black point are set to 0, all the pixels brighter than the white point are set to 255, and the pixels in between are linearly scaled.

Inheritance
  - Object
  - ParametricFilter
  - WhiteBlackPointFilter

## Constructors

WhiteBlackPointFilter({double blackPoint = 0.0, double whitePoint = 1.0})
WhiteBlackPointFilter.fromJson(Map<String, dynamic> json)
  factory

## Properties

blackPoint ↔ double
  Fraction of the value channel range that is set to 0. The value should be in the range from 0 to 1. Default is 0.0
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
whitePoint ↔ double
  Fraction of the value channel range that is not set to 255. The value should be in the range from 0 to 1. Default is 1.0
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited